classification
Title: test_bad_address in test_urllib2_localnet often fails
Type: behavior Stage:
Components: Tests Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: pitrou, rpetrov
Priority: high Keywords:

Created on 2008-12-14 21:56 by pitrou, last changed 2008-12-21 17:07 by rpetrov. This issue is now closed.

Messages (5)
msg77840 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-12-14 21:56
This error is often seen on the buildbots (both py3k and trunk):

======================================================================
FAIL: test_bad_address (test.test_urllib2_localnet.TestUrlopen)
----------------------------------------------------------------------
Traceback (most recent call last):
  File
"E:\cygwin\home\db3l\buildarea\3.0.bolen-windows\build\lib\test\test_urllib2_localnet.py",
line 452, in test_bad_address
    "http://www.python.invalid./")
AssertionError: IOError not raised by urlopen
msg77842 - (view) Author: Roumen Petrov (rpetrov) * Date: 2008-12-14 22:47
I confirm that following tests test_curses test_urllib2_localnet
test_urllibnet fail if regression test run all test.
All three tests succeed if I run them one by one.
Version - trunk, os - linux.
msg77866 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-12-15 13:04
I tried a fix (see r67779, r67777 in trunk) and it seems to work.
msg77888 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-12-15 22:34
On the buildbots, the errors have now disappeared after the "fix". I'm
closing this, please reopen it if you still witness it.
msg78152 - (view) Author: Roumen Petrov (rpetrov) * Date: 2008-12-21 17:07
Tests (trunk 21 dec 2008) fail as before (i.e. test_curses, 
test_urllib2_localnet and test_urllibnet) but now test_smtplib fail too.

Single test always succeed as example:
$ echo test_smtplib > /tmp/pynexttest
$ ./python -E -tt ../Lib/test/regrtest.py -l -s
test_smtplib
1 test OK.
History
Date User Action Args
2008-12-21 17:07:32rpetrovsetmessages: + msg78152
2008-12-15 22:34:21pitrousetstatus: open -> closed
resolution: fixed
messages: + msg77888
2008-12-15 13:05:00pitrousetmessages: + msg77866
2008-12-14 22:47:13rpetrovsetnosy: + rpetrov
messages: + msg77842
2008-12-14 21:56:29pitroucreate